/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2010. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_GRAPH                     2
#define  PANEL_Quit                      3       /* callback function: QuitButton */
#define  PANEL_SIGGENFREQ                4       /* callback function: SetSigGenFreq */
#define  PANEL_B_VERTICAL                5       /* callback function: SetB_Vertical */
#define  PANEL_SIGGENVOLTS               6       /* callback function: Set_SigGen_Volts */
#define  PANEL_TRIGGER                   7       /* callback function: Set_Trigger_Volts */
#define  PANEL_A_VERTICAL                8       /* callback function: SetA_Vertical */
#define  PANEL_VB_READOUT                9
#define  PANEL_SIGGENVREADOUT            10
#define  PANEL_Cmd_value                 11
#define  PANEL_SIGGENFREADOUT            12
#define  PANEL_TRIGGERREADOUT            13
#define  PANEL_Dig_pattern               14      /* callback function: SetDigPattern */
#define  PANEL_VA_READOUT                15
#define  PANEL_DECORATION_2              16
#define  PANEL_FreqLabel                 17
#define  PANEL_VOLTSDIVISION             18
#define  PANEL_TIMER                     19      /* callback function: UpdateCallback */
#define  PANEL_SigGenVoltsLabel          20
#define  PANEL_DECORATION_4              21
#define  PANEL_VOLTSDIVISION_2           22
#define  PANEL_DECORATION_5              23
#define  PANEL_TrigVolts                 24
#define  PANEL_DECORATION_6              25
#define  PANEL_Cmd_get                   26      /* callback function: Cmd_getClick */
#define  PANEL_Restart                   27      /* callback function: RestartClick */
#define  PANEL_SINGLE                    28      /* callback function: SingleAcquire */
#define  PANEL_TRIGGER_LED               29
#define  PANEL_text1                     30
#define  PANEL_Str1_3                    31
#define  PANEL_Str1_2                    32
#define  PANEL_Str1                      33
#define  PANEL_TrigChan_2                34
#define  PANEL_TrigChan_3                35
#define  PANEL_TrigChan_4                36
#define  PANEL_TrigChan_5                37
#define  PANEL_TrigChan_6                38
#define  PANEL_TrigChan_7                39
#define  PANEL_Cscope_Status             40
#define  PANEL_DigTrig1                  41
#define  PANEL_TrigChan_8                42
#define  PANEL_CHANNEL                   43      /* callback function: SetChannel */
#define  PANEL_IP_address                44      /* callback function: Get_ip_address */
#define  PANEL_Cmd_Function              45      /* callback function: Cmd_FunctionChange */
#define  PANEL_Intf_source               46      /* callback function: Get_Intf_source */
#define  PANEL_Cscope_unit_index         47      /* callback function: Set_unit_index */
#define  PANEL_CurrentFrame              48
#define  PANEL_NumFrames                 49      /* callback function: SetNumFrames */
#define  PANEL_NumSamples                50      /* callback function: SetNumSamples */
#define  PANEL_StopTime                  51      /* callback function: SetStopTime */
#define  PANEL_StartTime                 52      /* callback function: SetStartTime */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 
/*
int  CVICALLBACK Cmd_FunctionChange(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Cmd_getClick(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Get_Intf_source(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Get_ip_address(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RestartClick(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Set_SigGen_Volts(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Set_Trigger_Volts(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Set_unit_index(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetA_Vertical(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetB_Vertical(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetChannel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetDigPattern(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetNumFrames(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetNumSamples(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetSigGenFreq(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetStartTime(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetStopTime(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SingleAcquire(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UpdateCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
*/

#ifdef __cplusplus
    }
#endif
